Arbor 3: FSM & BT Graph Editor 3.1.1

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Properties | List of all members
CalculatorBranch Class Reference

Line class that connects the calculator node to each other. More...

## Public Member Functions
void | SetBehaviour (int inNodeID, Object inBehaviour, int outNodeID, Object outBehaviour)
| Change Behavior. More...
void | SetDirtySlotField ()
| Mark slot field as dirty More...

## Public Attributes
int | branchID
| ID of branch. More...
bool | enabled
| Whether to draw. More...
Object | inBehaviour
| Input side Behaviour More...
int | inNodeID
| Input side nodeID More...
Object | outBehaviour
| Output side Behaviour More...
int | outNodeID
| Output side nodeID More...
Bezier2D | lineBezier
| Bezier curve of the line to be connected. More...
bool | isVisible = false
| Gets whether or not a value is visible. More...

## Properties
object | value`[get, set]`
| get set the value. More...
object | currentValue`[get]`
| Get the current value. More...
bool | isUsed`[get]`
| Gets whether or not a value is used. More...
float | updatedTime`[get]`
| Time that does not depend on timeScale when value is updated. More...
CalculatorSlotField | outputSlotField`[get]`
| Get CalculatorSlotField of output slot. More...
CalculatorSlot | outputSlot`[get]`
| Get the output slot. More...
System.Reflection.FieldInfo | outputSlotFieldInfo`[get]`
| Get the FieldInfo of the output slot. More...
System.Type | outputType`[get]`
| Output type. More...
bool | isValidOutputSlot`[get]`
| Returns whether the output slot is valid. More...
CalculatorSlotField | inputSlotField`[get]`
| Get the FieldInfo of the input slot. More...
CalculatorSlot | inputSlot`[get]`
| Get the input slot. More...
System.Reflection.FieldInfo | inputSlotFieldInfo`[get]`
| Get the FieldInfo of the input slot. More...
System.Type | inputType`[get]`
| Input type. More...
bool | isValidInputSlot`[get]`
| Returns whether the input slot is valid. More...

## Detailed Description

Line class that connects the calculator node to each other.

## Member Function Documentation

void SetBehaviour | ( | int | inNodeID,
|  | Object | inBehaviour,
|  | int | outNodeID,
|  | Object | outBehaviour
| ) |  |

Change Behavior.

void SetDirtySlotField | ( |  | ) |

Mark slot field as dirty

## Member Data Documentation

int branchID

ID of branch.

bool enabled

Whether to draw.

For the editor.

Object inBehaviour

Input side Behaviour

int inNodeID

Input side nodeID

bool isVisible = false

Gets whether or not a value is visible.

Bezier2D lineBezier

Bezier curve of the line to be connected.

For editor

Object outBehaviour

Output side Behaviour

int outNodeID

Output side nodeID

## Property Documentation

object currentValue
| get

Get the current value.

CalculatorSlot inputSlot
| get

Get the input slot.

CalculatorSlotField inputSlotField
| get

Get the FieldInfo of the input slot.

System.Reflection.FieldInfo inputSlotFieldInfo
| get

Get the FieldInfo of the input slot.

System.Type inputType
| get

Input type.

bool isUsed
| get

Gets whether or not a value is used.

bool isValidInputSlot
| get

Returns whether the input slot is valid.

bool isValidOutputSlot
| get

Returns whether the output slot is valid.

CalculatorSlot outputSlot
| get

Get the output slot.

CalculatorSlotField outputSlotField
| get

Get CalculatorSlotField of output slot.

System.Reflection.FieldInfo outputSlotFieldInfo
| get

Get the FieldInfo of the output slot.

System.Type outputType
| get

Output type.

float updatedTime
| get

Time that does not depend on timeScale when value is updated.

object value
| get set

get set the value.

When connecting to the output slot of Calculator, update it as necessary and obtain it.